Bug 441477 - segfault
segfault
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 07:59 EDT by Domingo Becker
Modified: 2008-06-09 10:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.2.0-1.rc1.14.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-09 10:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Domingo Becker 2008-04-08 07:59:23 EDT
Description of problem:
I try to make ping to another computer in the lan and I get a segfault from
libnss_wins.so.2. From /var/log/messages:
Apr  8 08:20:08 proglinux kernel: ping[2953]: segfault at 0 ip 00141b18 sp
bfe5f714 error 6 in libnss_wins.so.2[11e000+116000]

I have in nsswitch.conf:
hosts: files wins dns mdns4_minimal

Version-Release number of selected component (if applicable):
rawhide 
from uname -a
Linux proglinux 2.6.25-0.201.rc8.git4.fc9.i686 #1 SMP Sun Apr 6 21:55:27 EDT
2008 i686 i686 i386 GNU/Linux
my smolt:
http://www.smolts.org/show?uuid=pub_66965710-8ee7-48ec-acdd-3cac71e6d60d

How reproducible:


Steps to Reproduce:
1. install rawhide
2. update to current packages
3. change in nsswitch.conf the hosts to:
hosts: files wins dns mdns4_minimal
4. ping some computer in the lan by name.
  
Actual results:
segfault

Expected results:


Additional info:
Comment 1 Kai Engert (:kaie) 2008-04-08 08:27:55 EDT
File libnss_wins.so belongs to samba, so I'm changing the component of this bug.

(Component NSS is something different.)
Comment 2 Bug Zapper 2008-05-14 05:07:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Domingo Becker 2008-06-09 10:50:04 EDT
It works.
Many thanks.

Note You need to log in before you can comment on or make changes to this bug.